Subject: [PATCH] Cobblemon changes
---
Index: common/build.gradle.kts
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/common/build.gradle.kts b/common/build.gradle.kts
--- a/common/build.gradle.kts	(revision b249896316e0b563cb7d7ccfd3123ad56c4ee05a)
+++ b/common/build.gradle.kts	(revision aa51811b8dccc0068d62ca925c771c5515c7597f)
@@ -55,7 +55,8 @@
     // modCompileOnly(libs.flywheelFabric)
 
     // Showdown
-    modCompileOnly(libs.graal)
+    compileOnly(libs.graalJs)
+    compileOnly(libs.graal)
 
     // Data Storage
     modCompileOnly(libs.bundles.mongo)
Index: fabric/build.gradle.kts
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/fabric/build.gradle.kts b/fabric/build.gradle.kts
--- a/fabric/build.gradle.kts	(revision b249896316e0b563cb7d7ccfd3123ad56c4ee05a)
+++ b/fabric/build.gradle.kts	(revision aa51811b8dccc0068d62ca925c771c5515c7597f)
@@ -66,6 +66,7 @@
 
     listOf(
         libs.graal,
+	libs.graalJs,
         libs.molang
     ).forEach {
         bundle(it)
@@ -91,6 +92,7 @@
         inputs.property("fabric_api_version", libs.fabric.api.get().version)
         inputs.property("minecraft_version", rootProject.property("mc_version").toString())
         inputs.property("java_version", rootProject.property("java_version").toString())
+	inputs.property("Multi-Release", true)	
 
         filesMatching("fabric.mod.json") {
             expand(
Index: gradle.properties
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>ISO-8859-1
===================================================================
diff --git a/gradle.properties b/gradle.properties
--- a/gradle.properties	(revision b249896316e0b563cb7d7ccfd3123ad56c4ee05a)
+++ b/gradle.properties	(revision aa51811b8dccc0068d62ca925c771c5515c7597f)
@@ -10,7 +10,7 @@
 mc_version = 1.21.1
 parchment_version = 2024.07.28@zip
 # Used in mod files
-java_version = 21
+java_version = 22
 
 mod_id=cobblemon
 mod_version=1.7.0
Index: gradle/build-logic/src/main/kotlin/cobblemon.platform-conventions.gradle.kts
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/gradle/build-logic/src/main/kotlin/cobblemon.platform-conventions.gradle.kts b/gradle/build-logic/src/main/kotlin/cobblemon.platform-conventions.gradle.kts
--- a/gradle/build-logic/src/main/kotlin/cobblemon.platform-conventions.gradle.kts	(revision b249896316e0b563cb7d7ccfd3123ad56c4ee05a)
+++ b/gradle/build-logic/src/main/kotlin/cobblemon.platform-conventions.gradle.kts	(revision aa51811b8dccc0068d62ca925c771c5515c7597f)
@@ -49,7 +49,7 @@
         mergeServiceFiles()
 
         relocate ("org.graalvm", "com.cobblemon.mod.relocations.graalvm")
-        relocate ("com.oracle", "com.cobblemon.mod.relocations.oracle")
+        // relocate ("com.oracle", "com.cobblemon.mod.relocations.oracle")
     }
 
     remapJar {
Index: gradle/libs.versions.toml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/gradle/libs.versions.toml b/gradle/libs.versions.toml
--- a/gradle/libs.versions.toml	(revision b249896316e0b563cb7d7ccfd3123ad56c4ee05a)
+++ b/gradle/libs.versions.toml	(revision aa51811b8dccc0068d62ca925c771c5515c7597f)
@@ -15,7 +15,7 @@
 
 # Common
 molang = "1.1.20"
-graal = "22.3.0"
+graal = "25.0.1"
 icu4j = "71.1"
 jei-api = "19.22.1.316"
 
@@ -62,7 +62,8 @@
 # Common
 jei-api = { group = "mezz.jei", name = "jei-1.21.1-common-api", version.ref = "jei-api"}
 molang = { group = "local.com.bedrockk", name = "molang", version.ref = "molang" }
-graal = { group = "org.graalvm.js", name = "js", version.ref = "graal" }
+graalJs = { group = "org.graalvm.polyglot", name = "js", version.ref = "graal" }
+graal = { group = "org.graalvm.polyglot", name = "polyglot", version.ref = "graal" }
 icu4j = { group = "com.ibm.icu", name = "icu4j", version.ref = "icu4j" }
 
 # Fabric
